%define uname	LogbookKonni-1.2
%define piname	logbookkonni_pi

Name:		opencpn-logbookkonni-plugin
Summary:	Logbook plugin for OpenCpn
Version:	1.4.008
Release:	%mkrel 4
License:	GPLv3+
Group:		Geography
URL:		https://github.com/delatbabel/%{uname}/
# See opencpn srpm SOURCES for obtaining the versioned tarball.
Source0:	LogbookKonni_pi-%{version}.tar.gz
Source1:	LogbookKonni_Layouts.zip

BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	wxgtk-devel
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(tinyxml)

Requires:	opencpn
Provides:	LogbookKonni = %{version}
Provides:	opencpn-logbook-plugin = %{version}-%{release}
Obsoletes:	opencpn-logbook-plugin < 4.0.0-1
Conflicts:	opencpn < 4.0.0-1

%description
The Konni's logbook plugin is fully integrated inside the graphical interface
of opencpn.
NB : the needed LogbookKonni_Layouts.zip and LogbookKonni_Other.zip may be
found in the /usr/share/opencpn directory.
NB : locale language is automatically set for the logbook when it has been
installed, there is no need to search for the languages.zip file.

%prep
%setup -q -n LogbookKonni_pi
cp %{SOURCE1} data

%build
%cmake

%cmake_build

%install
%cmake_install

%find_lang opencpn-%{piname}

mkdir -p %{buildroot}%{_datadir}/opencpn/plugins/%{piname}/data
mkdir -p %{buildroot}%{_datadir}/opencpn/plugins/%{piname}/Layouts
cp -r %{_builddir}/LogbookKonni_pi/data \
%{buildroot}%{_datadir}/opencpn/plugins/%{piname}
cp -r %{_builddir}/LogbookKonni_pi/Layouts \
%{buildroot}%{_datadir}/opencpn/plugins/%{piname}

%ifarch x86_64 aarch64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%files -f opencpn-%{piname}.lang
%dir %{_libdir}/opencpn
%dir %{_datadir}/opencpn
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/Layouts/*
%{_datadir}/opencpn/plugins/%{piname}/data/*


%changelog
* Fri Jan 01 2021 wally <wally> 1.4.008-4.mga8
+ Revision: 1667713
- rebuild for wxgtk pre 3.1.5 snapshot

* Sun Aug 16 2020 wally <wally> 1.4.008-3.mga8
+ Revision: 1614354
- rebuild for new wxgtk 3.1.4

* Tue Feb 18 2020 daviddavid <daviddavid> 1.4.008-2.mga8
+ Revision: 1539516
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Mon Nov 11 2019 barjac <barjac> 1.4.008-1.mga8
+ Revision: 1459318
- new version 1.4.008

* Sat Jul 13 2019 wally <wally> 1.4.006-2.mga8
+ Revision: 1421018
- rebuild with gtk3 enabled wxgtk 3.1.2

* Wed Mar 27 2019 barjac <barjac> 1.4.006-1.mga7
+ Revision: 1380630
- new version 1.4.006

* Fri Jan 18 2019 barjac <barjac> 1.3.006-1.mga7
+ Revision: 1358003
- new version 1.3.006

* Sun Sep 23 2018 umeabot <umeabot> 1.3.003-3.mga7
+ Revision: 1299996
- Mageia 7 Mass Rebuild

* Sun Jun 24 2018 wally <wally> 1.3.003-2.mga7
+ Revision: 1239509
- fix build on aarch64

* Wed Apr 11 2018 barjac <barjac> 1.3.003-1.mga7
+ Revision: 1217680
- new version 1.3.003

* Sat Jun 03 2017 akien <akien> 1.2.024-3.mga6
+ Revision: 1106112
- Rebuild for wxgtk 3.0.3.1

* Thu Jun 02 2016 daviddavid <daviddavid> 1.2.024-2.mga6
+ Revision: 1019832
- rebuild for wxgtk3.0 built with GTK2

* Tue Mar 15 2016 barjac <barjac> 1.2.024-1.mga6
+ Revision: 991012
- new version 1.2.024

* Sun Feb 21 2016 barjac <barjac> 1.2.023-1.mga6
+ Revision: 975908
- new version 1.2.023

* Tue Feb 16 2016 barjac <barjac> 1.2.018-2.mga6
+ Revision: 962308
- changed buildrequire wxgtku3.0

* Tue Dec 08 2015 barjac <barjac> 1.2.018-1.mga6
+ Revision: 908776
- new package opencpn-logbookkonni-plugin

